%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-openstacklib
Version:        9.4.0
Release:        4%{?dist}
Summary:        Puppet OpenStack Libraries
License:        Apache-2.0

URL:            https://launchpad.net/puppet-openstacklib

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9853d6046da8c545a67f7ce39226ea9b146be4be
#
Patch0001: 0001-Add-a-refreshonly-parameter-to-service_validation.patch
Patch0002: 0002-Add-region-support-to-credentials.patch
Patch0003: 0003-Add-ability-to-skip-mysql-user-grants.patch
Patch0004: 0004-os_transport_url-parser-function.patch
Patch0005: 0005-Fix-os_transport_url-with-single-hosts-array.patch
Patch0006: 0006-Improve-os_transport_url-ssl-support.patch
Patch0007: 0007-Enable-alternative-transport-in-os_transport_url.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-mysql
Requires:       puppet-stdlib
Requires:       puppet-rabbitmq
#Requires:       puppet-postgresql
Requires:       puppet >= 2.7.0

%description
Puppet OpenStack Libraries

%prep
%setup -q -n openstack-openstacklib-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/openstacklib/



%files
%{_datadir}/openstack-puppet/modules/openstacklib/


%changelog
* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.0-4
- Enable alternative transport in os_transport_url (lp#1651215)
- Improve os_transport_url ssl support
- Fix os_transport_url with single hosts array (lp#1650042)
- os_transport_url parser function
- Add ability to skip mysql user/grants (lp#1649341)

* Thu Nov 10 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-3
- Add region support to credentials

* Thu Nov 03 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Add a refreshonly parameter to service_validation

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


